%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-XML-Parser
Version:        2.44
Release:        1
Summary:        Perl module for parsing XML files

Group:          Development/Libraries
License:        GPL+ or Artistic
Url:            http://search.cpan.org/dist/XML-Parser/
Source0:        http://www.cpan.org/authors/id/M/MS/MSERGEANT/XML-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# The script LWPExternEnt.pl is loaded by Parser.pm
BuildRequires:  perl >= 5.24.1-1
BuildRequires:  perl-URI >= 1.74-1
BuildRequires:  expat-devel >= 2.2.5-1

Requires:       perl >= 5.24.1-1
Requires:       perl-URI >= 1.74-1
Requires:       expat >= 2.2.5-1

%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.


%prep
%setup -q -n XML-Parser-%{version} 
chmod 644 samples/canonical samples/xml*
%{_bindir}/perl -pi -e 's|^#!/usr/local/bin/perl\b|#!%{_bindir}/perl|' samples/canonical
%{_bindir}/perl -pi -e 's|^#!/usr/local/bin/perl\b|#!%{_bindir}/perl|' samples/xml*

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/README 32bit/Changes 32bit/samples/
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man3/*


%changelog
* Fri Oct 12 2018 Michael Perzl <michael@perzl.org> - 2.44-1
- updated to version 2.44

* Wed Jan 30 2013 Michael Perzl <michael@perzl.org> - 2.41-1
- updated to version 2.41

* Tue Feb 08 2011 Michael Perzl <michael@perzl.org> - 2.40-1
- updated to version 2.40

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 2.36-1
- first version for AIX V5.1 and higher
